- Qt 6.10
- Active Qt
- QAxContainer
- QAxBaseObject
- Qt 6.10.3 Reference Documentation

# QAxBaseObject Class

QAxBaseObject provides static properties and signals for QAxObject. More...

Header: | `#include <QAxBaseObject>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS AxContainer)` `target_link_libraries(mytarget PRIVATE Qt6::AxContainer)`
qmake: | `QT += axcontainer`
Since: | Qt 6.0
Inherits: | QObject
Inherited By: | QAxObject

- List of all members, including inherited members

## Properties

- classContext : const ulong
- control : const QString

## Signals

void | exception(int code, const QString &source, const QString &desc, const QString &help)
void | propertyChanged(const QString &name)
void | signal(const QString &name, int argc, void *argv)

## Detailed Description

## Property Documentation

### classContext : const ulong

This property holds the context the ActiveX control will run in (default CLSCTX_SERVER).

The property affects the "dwClsContext" argument when calling CoCreateInstance. This can be used to control in-proc vs. out-of-proc startup for controls supporting both alternatives. Also, it can be used to modify/reduce control permissions when used with CLSCTX_ENABLE_CLOAKING and an impersonation token.

Note that it must be set before setControl() to have any effect.

See also QAxBaseWidget::control.

### control : const QString

This property holds the name of the COM object wrapped by this QAxBaseObject object.

Setting this property initializes the COM object. Any COM object previously set is shut down.

The most efficient way to set this property is by using the registered component's UUID, e.g.

See also QAxBaseWidget::control and QAxBaseWidget::classContext.

## Member Function Documentation

### `[signal]` void QAxBaseObject::exception(int code, const QString &source, const QString &desc, const QString &help)

This signal is emitted when the COM object throws an exception while called using the OLE automation interface IDispatch. code, source, desc and help provide information about the exception as provided by the COM server and can be used to provide useful feedback to the end user. help includes the help file, and the help context ID in brackets, e.g. "filename [id]".

See also QAxBaseWidget::exception().

### `[signal]` void QAxBaseObject::propertyChanged(const QString &name)

If the COM object supports property notification, this signal gets emitted when the property called name is changed.

See also QAxBaseWidget::propertyChanged().

### `[signal]` void QAxBaseObject::signal(const QString &name, int argc, void *argv)

This generic signal gets emitted when the COM object issues the event name. argc is the number of parameters provided by the event (DISPPARAMS.cArgs), and argv is the pointer to the parameter values (DISPPARAMS.rgvarg). Note that the order of parameter values is turned around, ie. the last element of the array is the first parameter in the function.

See also QAxBaseWidget::signal().